import request from '@/utils/request'

// 查询气瓶异常分析列表
export function listAbnormality(query) {
  return request({
    url: '/gasBottleTrack/abnormality/list',
    method: 'get',
    params: query
  })
}

// 查询气瓶异常分析详细
export function getAbnormality(abnormalityId) {
  return request({
    url: '/gasBottleTrack/abnormality/' + abnormalityId,
    method: 'get'
  })
}

// 新增气瓶异常分析
export function addAbnormality(data) {
  return request({
    url: '/gasBottleTrack/abnormality',
    method: 'post',
    data: data
  })
}

// 修改气瓶异常分析
export function updateAbnormality(data) {
  return request({
    url: '/gasBottleTrack/abnormality',
    method: 'put',
    data: data
  })
}

// 删除气瓶异常分析
export function delAbnormality(abnormalityId) {
  return request({
    url: '/gasBottleTrack/abnormality/' + abnormalityId,
    method: 'delete'
  })
}

// 导出气瓶异常分析
export function exportAbnormality(query) {
  return request({
    url: '/gasBottleTrack/abnormality/export',
    method: 'get',
    params: query
  })
}